=== debian/changelog ===
libwfa2 (2.3.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 04 Feb 2023 09:14:13 +0100

libwfa2 (2.3.1-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Sat, 04 Feb 2023 07:21:31 +0100

libwfa2 (2.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #1029719)

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 19:45:55 +0100
