=== bindings/cpp/Makefile ===
###############################################################################
# Definitions
###############################################################################
FOLDER_ROOT=../..
FOLDER_BUILD=../../build
FOLDER_BUILD_CPP=../../build/cpp

###############################################################################
# Modules
###############################################################################
MODULES=WFAligner
        
SRCS=$(addsuffix .cpp, $(MODULES))
OBJS=$(addprefix $(FOLDER_BUILD_CPP)/, $(SRCS:.cpp=.o))

###############################################################################
# Rules
###############################################################################
all: $(OBJS)

# General building rule
$(FOLDER_BUILD_CPP)/%.o : %.cpp
	$(CPP) $(CC_FLAGS) -I$(FOLDER_ROOT) -c $< -o $@
