=== debian/changelog ===
libwfa2 (2.3.3-4) unstable; urgency=medium

  * Team upload.
  * d/clean: remove test logs to enable building package twice. Closes:
    #1045603

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 23 Mar 2024 12:54:21 +0100

libwfa2 (2.3.3-3) unstable; urgency=medium

  * Team upload.
  * d/control: restrict to 64-bit architectures to match all of the rdeps
    of this package. Undo the t64 transition, as that is no longer needed.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Mar 2024 13:16:19 +0100

libwfa2 (2.3.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062731

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 07:16:29 +0000

libwfa2 (2.3.3-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with gcc-13 (Closes: #1037749)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 15 Jul 2023 11:12:16 +0530

libwfa2 (2.3.3-1) unstable; urgency=medium

  * New upstream version
  * Add install scripts for libwfa2cpp

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 17:31:54 +0100
