=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                d-shlibs,
                cmake,
                pkg-config
@@ -14,10 +15,12 @@
 Rules-Requires-Root: no
 
 Package: libwfa2-0
+Provides: libwfa2-0t64 (= ${binary:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: exact gap-affine algorithm (shared library)
  The wavefront alignment (WFA) algorithm is an exact gap-affine algorithm
  that takes advantage of homologous regions between the sequences to
